# gestion_equipos/urls.py
from django.urls import path, include
from . import views

app_name = 'gestion_equipos' 

urlpatterns = [
    path('', views.home_view, name='home'),
    path('accounts/', include('django.contrib.auth.urls',)), 
        # --- URLs DE EQUIPOS ---
    path('equipos/', views.lista_equipos, name='lista_equipos'),
    path('equipos/crear/', views.crear_equipo, name='crear_equipo'),
    path('equipos/<int:pk>/', views.detalle_equipo, name='detalle_equipo'),
    path('equipos/<int:pk>/editar/', views.editar_equipo, name='editar_equipo'),
    path('equipos/<int:pk>/eliminar/', views.eliminar_equipo, name='eliminar_equipo'),
    path('equipos/importar/', views.importar_equipos_masivamente, name='importar_equipos'),
    path('papelera/', views.papelera_de_reciclaje, name='papelera_de_reciclaje'),
    path('equipos/<int:pk>/restaurar/', views.restaurar_equipo, name='restaurar_equipo'),
    path('equipos/permanente/<int:pk>/eliminar/', views.eliminar_equipo_permanente, name='eliminar_equipo_permanente'),
        # --- URLs DE FUNCIONES ---
    path('reportes/', views.generar_reportes, name='generar_reportes'),
    path('configuracion/categorias/', views.listar_categorias, name='listar_categorias'),
    path('configuracion/ubicaciones/', views.listar_ubicaciones, name='listar_ubicaciones'),
    path('configuracion/departamentos/', views.listar_departamentos, name='listar_departamentos'),
    # --- URLs DE MANTENIMIENTO ---
    path('mantenimientos/', views.listar_mantenimientos, name='listar_mantenimientos'),
    path('mantenimientos/crear/', views.crear_mantenimiento, name='crear_mantenimiento'),
    path('mantenimientos/<int:pk>/', views.detalle_mantenimiento, name='detalle_mantenimiento'),
    path('mantenimientos/editar/<int:pk>/', views.editar_mantenimiento, name='editar_mantenimiento'),
    path('mantenimientos/eliminar/<int:pk>/', views.eliminar_mantenimiento, name='eliminar_mantenimiento'),
    # --- URLs DE DEPARTAMENTOS ---
    path('departamentos/', views.listar_departamentos, name='listar_departamentos'),
    path('departamentos/nueva/', views.crear_departamento, name='crear_departamento'),
    path('departamentos/<int:pk>/editar/', views.editar_departamento, name='editar_departamento'),
    path('departamentos/<int:pk>/eliminar/', views.eliminar_departamento, name='eliminar_departamento'),
    # --- URLs DE CATEGORIAS ---
    path('categorias/', views.listar_categorias, name='listar_categorias'),
    path('categorias/nueva/', views.crear_categoria, name='crear_categoria'),
    path('categorias/<int:pk>/editar/', views.editar_categoria, name='editar_categoria'),
    path('categorias/<int:pk>/eliminar/', views.eliminar_categoria, name='eliminar_categoria'),
    # --- URLs DE UBICACIONES ---
    path('ubicaciones/', views.listar_ubicaciones, name='listar_ubicaciones'),
    path('ubicaciones/nueva/', views.crear_ubicacion, name='crear_ubicacion'),
    path('ubicaciones/<int:pk>/editar/', views.editar_ubicacion, name='editar_ubicacion'),
    path('ubicaciones/<int:pk>/eliminar/', views.eliminar_ubicacion, name='eliminar_ubicacion'),
    # --- URLs DE ASIGNACION ---
    path('asignaciones/', views.AsignacionListView.as_view(), name='lista_asignaciones'),
    path('equipo/<int:equipo_pk>/asignar/', views.asignar_equipo, name='asignar_equipo'),
    path('asignacion/<int:asignacion_pk>/devolver/', views.devolver_equipo, name='devolver_equipo'),
    # --- URLs DE HISTORIAL ---
    path('historial/', views.ver_historial_movimientos, name='ver_historial'),
    path('equipos/plantilla-csv/', views.descargar_plantilla_csv, name='descargar_plantilla_csv'),
   
    path('usuario/<int:usuario_pk>/acta-consolidada-pdf/', views.generar_acta_consolidada_pdf, name='generar_acta_consolidada_pdf'),
    path('acta-consolidada/<int:acta_pk>/subir-firmada/', views.subir_acta_firmada, name='subir_acta_consolidada_firmada'),
    path('actas/', views.listar_actas, name='listar_actas'),
    path('actas/<int:acta_pk>/baja/', views.dar_de_baja_acta, name='dar_de_baja_acta'),

]